function getDecodedText() {
  var myTextString = "";
  for (var i=0;i<myArray.length;i++) {
      myTextString+= String.fromCharCode(myArray[i]&255);
      myArray[i]>>=8;
      myTextString+= String.fromCharCode(myArray[i]&255);
      myArray[i]>>=8;
      myTextString+= String.fromCharCode(myArray[i]&255);
      myArray[i]>>=8;
      myTextString+= String.fromCharCode(myArray[i]&255);
  }
  return myTextString;
}

function showDecodedText(password) {
  var result;
  password=password+myIdentNo;
  result=decode(password,myTextChecksum);
  if (result==0) {
    alert("Wrong password !");
  } else {
    window.document.open(myMineType);
    window.document.write("<center><P><FORM METHOD=\"POST\" ACTION=\"javascript:location.replace('')\"> <INPUT TYPE=\"submit\" NAME=\"\"  VALUE=\"Close\"></FORM></P></center>")
    window.document.write(getDecodedText());
    window.document.close();
    result=decode(password,myTextChecksum);
  }
}
-->
</script>
<html>
<head>
<title>EncodedText</title>
<BODY onload="self.focus();document.passform.Password.focus()"
   BGCOLOR="#F9F9e5" TEXT="#000000" LINK="#FF0000" VLINK="#FF0000" ALINK="#FF0000">
   <center>
   <script language="javascript" type="text/javascript">
     var line="<p><b>"+myTitle+"</b>";
     window.document.write(line);
   </script>
   <p>
   </p>
<IMG name="secretImg" src="data:image/png;base64,[encoded data, 11100 characters]">
   <p>
   </p>
   <FORM NAME="passform" ACTION="" METHOD="GET">
   Password: <INPUT TYPE="password" NAME="Password" VALUE="" SIZE=30 onChange="showDecodedText(this.form.Password.value)">
   <INPUT TYPE="button" NAME="Open" Value="Open"
     onClick="showDecodedText(this.form.Password.value)">
   </FORM>

   <br>
   <script language="javascript" type="text/javascript">
     var line="<font size=\"-1\">"+myLegend+"</font>";
     window.document.write(line);
   </script>
   </center>
</body>
</html>
